#
# Copyright (c) 2000 Going Virtual, LLC. All rights reserved.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
# Contact Information:
#
# Going Virtual, LLC
# 10800 Independence Pointe Pkwy
# Matthews, NC 28105
# www.goingv.com
#
# Robert E. Tierney 
# bob.tierney@goingv.com 
# 1 (704) 849-0731 x109
#
#
__doc__ = """Going Virtual Interbase Database Interface

Python Database API Specification 2.0 Compliant

This module attempts to locate in one place all the error messages
that will accompany an exception raised by our code and not as a
result of an Interbase API function call failure.  Not all can be
located here of course. If we encounter import problems then we
obviously cannot use this table.

$Id: gvibMessages.py,v 1.6 2000/08/24 17:42:34 btierney Exp $
"""
__version__ = '$Revision: 1.6 $'[11:-2]

import gvibBase

messageTable = {
  'noParms': 
  'Missing parameters -- The SQL statement requires them!',

  'badParmType': 
  'Parameters must be of String, Tuple or List type!',

  'badCursor': 
  'The cursor is no longer usable because it has been closed and dropped! ' + \
  ' You must create another cursor and execute a SQL statement to open it.',

  'closedCursor':
  'The cursor is no longer usable because it has been closed!  You must ' + \
  'execute another SQL statement to open the cursor.',

  'badRowCount': 
  'The quantity of rows to fetch must be greater than zero!',

  'badConnect': 
  'The database connection has already been closed!',

  'bindColumn': 
  'Unsupported column type encountered binding database columns.',

  'noReturnData':
  'Cannot fetch data because the most recently executed SQL statement ' + \
  'does not return any results.',

  'badParmIndex':
  'You are attemping to bind parameter %d, but there is only 1 actual ' + \
  'parameter.',

  'badParmIndexM':
  'You are attemping to bind parameter %d, but there are only %d actual ' + \
  'parameters.',

  'overflowError':
  'The data you are trying to insert into column %ld is too big.',

  'invalidDate':
  'The date parameters specified are not valid.',

  'invalidDateTypes':
  'The date parameters must be of type int or long',

  'invalidTime':
  'The time parameters specified are not valid.',

  'invalidTimeType':
  'The time parameters must be of type int or long.',

  'invalidTimestamp':
  'The timestamp parameters specified are not valid.',

  'invalidTimestampType':
  'The timestamp parameters must be of type int, long or float.',

  'InvalidTPBType':
  'The transaction parameter buffer object passed to the connect function ' + \
  'must be a tuple type object.',

  'InvalidDPBType':
  'The database parameter buffer object passed to the connect function ' + \
  'must be a dictionary type object'
}


def initialize():
    gvibBase.IBInitMessages((messageTable,))

initialize()
